
Infrastructure - Task #3343

Story # 3342 (Closed): support use of dataone-trusted-CAs in libclient_java and python

configure CertificateManager to look for trusted certificates outside of package

2012-10-18 04:04 - Rob Nahf

Status: Closed Start date: 2012-10-18

Priority: High Due date:  

Assignee: Rob Nahf % Done: 100%

Category: d1_libclient_java Estimated time: 0.00 hour

Target version: Sprint-2012.50-Block.6.4   

Milestone: None Story Points:  

Product Version: *   

Description

The trick here is predefining the location for the replacement d1-trusted-certs files.  This should probably be a location common for

libclient_python-based and libclient_java-based tools.  An enduser of multiple tools would like to not have to repeat the process for

each tool they use.

History

#1 - 2012-10-18 17:11 - Rob Nahf

- Status changed from New to In Progress

- % Done changed from 0 to 70

committed a proof-of-concept to trunk/libclient_java, where the existing d1-trusted-certs.crt file is wired into the TrustManager, and an auxiliary

location is designated (outside of libclient jar) as a place to get updates.

#2 - 2012-10-24 17:21 - Rob Nahf

- Status changed from In Progress to Testing

#3 - 2012-10-24 23:41 - Rob Nahf

- % Done changed from 70 to 90

fixed how server trust is implemented following spot integration tests against DEV environment.  Needed to allow for trust when the server certificate

chain was incomplete.  Now will trust based on a certificate's issuer DN as well.

Tested successfully in d1_client_r

#4 - 2012-12-12 16:54 - Chris Jones

- Target version changed from Sprint-2012.41-Block.6.1 to Sprint-2012.50-Block.6.4

#5 - 2012-12-12 18:51 - Rob Nahf

- Status changed from Testing to Closed

- translation missing: en.field_remaining_hours set to 0.0
